/* ====================================================================
 * The Apache Software License, Version 1.1
 *
 * Copyright (c) 2000-2003 The Apache Software Foundation.  All rights
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "Apache" and "Apache Software Foundation", "Tapestry" 
 *    must not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache" 
 *    or "Tapestry", nor may "Apache" or "Tapestry" appear in their 
 *    name, without prior written permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE TAPESTRY CONTRIBUTOR COMMUNITY
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 */

package org.apache.tapestry.vlib.ejb;

import org.apache.commons.lang.enum.Enum;

/**
 *  Represents the different columns which may be sorted.
 *
 *  @author Howard Lewis Ship
 *  @version $Id: SortColumn.java,v 1.3 2003/04/17 21:33:50 hlship Exp $
 *  @since 3.0
 *
 **/

public class SortColumn extends Enum
{
	private static final long serialVersionUID = -9111154890216180024L;
	
	/**
	 *  Sort by book title.
	 * 
	 **/
	
	public static final SortColumn TITLE = new SortColumn("TITLE");
	
	/**
	 *  Sort by author name.
	 *  
	 **/
	
	public static final SortColumn AUTHOR = new SortColumn("AUTHOR");

	/**
	 *  Sort by publisher name.
	 * 
	 **/
	
	public static final SortColumn PUBLISHER = new SortColumn("PUBLISHER");
	
	/**
	 *  Sort by holder name (last name, then first).  Not applicable
	 *  to all queries.
	 * 
	 **/
	
	public static final SortColumn HOLDER = new SortColumn("HOLDER");

	/**
	 *  Sort by book owner (last name, then first).  Not applicable
	 *  to all queries.
	 * 
	 **/
	
	public static final SortColumn OWNER = new SortColumn("OWNER");
	
    private SortColumn(String name)
    {
        super(name);
    }

}
